Package it.ernytech.tdlib

## Class TdApi.MessageVideoNote

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageContent
    - - it.ernytech.tdlib.TdApi.MessageVideoNote

Enclosing class:
  TdApi

    public static class TdApi.MessageVideoNote
    extends TdApi.MessageContent

A video note message.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isSecret` True, if the video note thumbnail must be blurred and the video note must be shown only while tapped.
`boolean` `isViewed` True, if at least one of the recipients has viewed the video note.
`TdApi.VideoNote` `videoNote` Message content.

### Constructor Summary

Constructors
`MessageVideoNote()` Default constructor.
`MessageVideoNote​(TdApi.VideoNote videoNote, boolean isViewed, boolean isSecret)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### videoNote

    public TdApi.VideoNote videoNote

Message content.

#### isViewed

    public boolean isViewed

True, if at least one of the recipients has viewed the video note.

#### isSecret

    public boolean isSecret

True, if the video note thumbnail must be blurred and the video note must be shown only while tapped.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MessageVideoNote

    public MessageVideoNote()

Default constructor.

#### MessageVideoNote

    public MessageVideoNote​(TdApi.VideoNote videoNote,
                            boolean isViewed,
                            boolean isSecret)

Constructor for initialization of all fields.

Parameters:
  `videoNote` - Message content.
  `isViewed` - True, if at least one of the recipients has viewed the video note.
  `isSecret` - True, if the video note thumbnail must be blurred and the video note must be shown only while tapped.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR